List webhook endpoints
curl --request GET \
--url https://api.ando.so/v1/webhook-endpoints \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/webhook-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-endpoints"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"object": "webhook_endpoint",
"id": "wep_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_id": "workspace_01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "Production receiver",
"url": "https://example.com/ando/webhooks",
"enabled_events": [
"webhook.test",
"message.created",
"message.updated",
"conversation.membership.created",
"conversation.archived",
"conversation.unarchived",
"call.started",
"call.ended",
"call.updated",
"call.transcript.updated"
],
"delivery_scope": {
"type": "workspace_member",
"actor_workspace_membership_id": "wsm_01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": false
},
"status": "active",
"signing_secret_prefix": "example",
"previous_signing_secret_expires_at": null,
"disabled_at": null,
"created_at": "2026-05-27T08:00:00.000Z",
"updated_at": "2026-05-27T08:00:00.000Z"
}
]
},
"items": [
{
"object": "webhook_endpoint",
"id": "wep_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_id": "workspace_01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "Production receiver",
"url": "https://example.com/ando/webhooks",
"enabled_events": [
"webhook.test",
"message.created",
"message.updated",
"conversation.membership.created",
"conversation.archived",
"conversation.unarchived",
"call.started",
"call.ended",
"call.updated",
"call.transcript.updated"
],
"delivery_scope": {
"type": "workspace_member",
"actor_workspace_membership_id": "wsm_01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": false
},
"status": "active",
"signing_secret_prefix": "example",
"previous_signing_secret_expires_at": null,
"disabled_at": null,
"created_at": "2026-05-27T08:00:00.000Z",
"updated_at": "2026-05-27T08:00:00.000Z"
}
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}List webhook endpoints
Lists workspace webhook endpoint metadata.
GET
https://api.ando.so/v1
/
webhook-endpoints
List webhook endpoints
curl --request GET \
--url https://api.ando.so/v1/webhook-endpoints \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/webhook-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-endpoints"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"object": "webhook_endpoint",
"id": "wep_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_id": "workspace_01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "Production receiver",
"url": "https://example.com/ando/webhooks",
"enabled_events": [
"webhook.test",
"message.created",
"message.updated",
"conversation.membership.created",
"conversation.archived",
"conversation.unarchived",
"call.started",
"call.ended",
"call.updated",
"call.transcript.updated"
],
"delivery_scope": {
"type": "workspace_member",
"actor_workspace_membership_id": "wsm_01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": false
},
"status": "active",
"signing_secret_prefix": "example",
"previous_signing_secret_expires_at": null,
"disabled_at": null,
"created_at": "2026-05-27T08:00:00.000Z",
"updated_at": "2026-05-27T08:00:00.000Z"
}
]
},
"items": [
{
"object": "webhook_endpoint",
"id": "wep_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_id": "workspace_01jzn7e61x3a7v9h2r7t2m3q4p",
"name": "Production receiver",
"url": "https://example.com/ando/webhooks",
"enabled_events": [
"webhook.test",
"message.created",
"message.updated",
"conversation.membership.created",
"conversation.archived",
"conversation.unarchived",
"call.started",
"call.ended",
"call.updated",
"call.transcript.updated"
],
"delivery_scope": {
"type": "workspace_member",
"actor_workspace_membership_id": "wsm_01jzn7e61x3a7v9h2r7t2m3q4p",
"direct_message_delivery_enabled": false
},
"status": "active",
"signing_secret_prefix": "example",
"previous_signing_secret_expires_at": null,
"disabled_at": null,
"created_at": "2026-05-27T08:00:00.000Z",
"updated_at": "2026-05-27T08:00:00.000Z"
}
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey
Workspace API key. Current accepted keys use the ando_sk_ prefix.
⌘I